API reference
Get the shop
GET
The shop: name, logo, currency and clock, the branch that fills online orders with its hours, whether it is open now, pickup and delivery with their fees, online payment, and the collections.
publishableKeyheader
AuthorizationBearer <pk_live_…>The shop’s publishable key, from Settings, Developers in Cashiar. Safe to use in a browser.
application/json- response
timeZone*stringdateFormat*stringValue in
"d MMM yyyy""dd/MM/yyyy""MM/dd/yyyy""yyyy-MM-dd"timeFormat*stringValue in
"12h""24h"slug*stringdomain*string|nullwhatsapp*string|nullname*stringbusinessType*string|nulllogoUrl*string|nullbannerUrl*string|nullcurrency*stringphone*string|nullbranch*enabled*booleanclosedUntil*string|nullclosedOrders*stringValue in
"take""refuse"outOfStock*stringValue in
"sold_out""hide"sellsServices*booleanpickup*booleandelivery*|nullpayOnline*booleanpayFirst*booleancollections*array<>curl -X GET 'https://api.cashiar.app/v1/storefront/shop'Example Response200
{
"timeZone": "string",
"dateFormat": "d MMM yyyy",
"timeFormat": "12h",
"slug": "string",
"domain": "string",
"whatsapp": "string",
"name": "string",
"businessType": "string",
"logoUrl": "string",
"bannerUrl": "string",
"currency": "string",
"phone": "string",
"branch": {
"id": "string",
"name": "string",
"address": "string",
"phone": "string",
"workingHours": [
{
"open": true,
"from": "string",
"to": "string"
},
{
"open": true,
"from": "string",
"to": "string"
},
{
"open": true,
"from": "string",
"to": "string"
},
{
"open": true,
"from": "string",
"to": "string"
},
{
"open": true,
"from": "string",
"to": "string"
},
{
"open": true,
"from": "string",
"to": "string"
},
{
"open": true,
"from": "string",
"to": "string"
}
],
"closures": [
{
"from": "2019-08-24",
"to": "2019-08-24",
"note": "string"
}
]
},
"enabled": true,
"closedUntil": "string",
"closedOrders": "take",
"outOfStock": "sold_out",
"sellsServices": true,
"pickup": true,
"delivery": {
"fee": 0,
"zones": [
{
"name": "string",
"fee": 0
}
]
},
"payOnline": true,
"payFirst": true,
"collections": [
{
"id": "string",
"name": "string",
"imageUrl": "string"
}
]
}